package com.example.arva;

import android.app.Activity;
import android.content.DialogInterface.OnClickListener;
import android.media.AudioManager;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.widget.SeekBar;
import android.widget.SeekBar.OnSeekBarChangeListener;

public class Actson extends Activity {

//	Button btnVolver;
	SoundManager snd;
	int alarm;
	OnSeekBarChangeListener barChange;
	OnClickListener buttonClick;
		
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.actson);
        
        
        // Create an instance of our sound manger
        snd = new SoundManager(getApplicationContext());
        
        // Set volume rocker mode to media volume
        this.setVolumeControlStream(AudioManager.STREAM_MUSIC);
        
        // Load the samples from res/raw
        alarm = snd.load(R.raw.extralongwarp);
       
        barChange = new OnSeekBarChangeListener()
        {
        	public void onStopTrackingTouch(SeekBar seekBar) {	}

        	public void onStartTrackingTouch(SeekBar seekBar) { }

        	public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser)
        		{
        		switch (seekBar.getId())
        			{
        				case R.id.VolBar1:
        					snd.setVolume((float)progress/100.0f);
        					break;       				
        			}
        		}
        };
        
    	// Set our handler as the ChangeListener for the seekbar controls    
        SeekBar sb;
        sb = (SeekBar)findViewById(R.id.VolBar1);
        sb.setOnSeekBarChangeListener(barChange);
        
        
        
//        btnVolver= (Button)findViewById(R.id.btnVolver);
                       
//        btnVolver.setOnClickListener(new View.OnClickListener() {
        	
//			public void onClick(View v) {
//				finish();
//			}
//		});
        
    }

    public void clickHandler(View v)
    {
     int id = v.getId(); // Use the button id to determine which sample should be played
    
     switch (id)
     {
     case R.id.button1:
    	 snd.play(alarm);
    	 Log.i("---","Button1");
    	 break;
     case R.id.button2:
    	 snd.unloadAll();
    	 Log.i("---","Button2");
    	 break;
     case R.id.button3:
    	 finish();
    	 break;    	 
     }
    }
    
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.actson, menu);
        return true;
    }
}
