package com.example.arva;

import android.app.Activity;
import android.os.Bundle;
import android.telephony.SmsManager;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;


public class Enviarsms extends Activity {
	
	Button btnSendSMS;
	Button btnVolver;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.enviarsms);
        
        btnSendSMS= (Button)findViewById(R.id.btnSendSMS);
        btnVolver= (Button)findViewById(R.id.btnVolver);
        
        
        btnSendSMS.setOnClickListener(new View.OnClickListener() {
        	
			public void onClick(View v) {
				Posicio appState = Posicio.getInstance();
				EditText txt1 = (EditText) findViewById(R.id.editText1);
				
				String state = appState.getState();	
				String valor = txt1.getText().toString();
				
				sendSMS(valor, "Este mensaje es un mensaje de emergencia " + state);
				finish();
			}
		});
        
        btnVolver.setOnClickListener(new View.OnClickListener() {
        	
			public void onClick(View v) {
				finish();
			}
		});
    }
//envia el mensaje al otro dispositivo
    public void sendSMS(String phoneNumber, String message){
    	SmsManager sms = SmsManager.getDefault();
    	sms.sendTextMessage(phoneNumber, null, message, null, null);
    }
    
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.enviarsms, menu);
        return true;
    }
}
